;; -*- lexical-binding: t; -*-
;; Personal modules
(add-to-list 'load-path '"~/.dotfiles/emacs/.emacs.d/modules")

;; Slightly nicer theme
(set-face-attribute 'default nil :font "Menlo" :height 130)

(require 'jg-package)
(require 'jg-core)
(require 'jg-display)
(require 'jg-style)
(require 'jg-keys)
(require 'jg-dev)
(require 'jg-org)

(use-package ivy
  :diminish
  :config
  (ivy-mode 1))

(use-package which-key
  :init (which-key-mode)
  :diminish which-key-mode
  :config
  (setq which-key-idle-delay 0.3))

(use-package markdown-mode
  :ensure t
  :mode ("README\\.md\\'" . gfm-mode)
  :init (setq markdown-command "pandoc"))

(use-package projectile
  :diminish projectile-modex
  :config (projectile-mode)
  :bind-keymap
  ("C-c p" . projectile-command-map)
  :init
  (setq projectile-switch-project-action #'projectile-dired))

(use-package counsel-projectile
 :after projectile
 :config
 (counsel-projectile-mode 1))

(setq vc-follow-symlinks t)

